Debian Bug report logs - #721396
silo: enable sparc64 architecture

version graph

Package: silo; Maintainer for silo is Debootloaders SILO Maintainers Team <debootloaders-silo@lists.alioth.debian.org>; Source for silo is src:silo.

Reported by: Bob Bib <bobbibmpn@mail.ua>

Date: Sat, 31 Aug 2013 03:03:01 UTC

Severity: wishlist

Found in version silo/1.4.14+git20120819-1

Fixed in version silo/1.4.14+git20120819-2

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debootloaders SILO Maintainers Team <debootloaders-silo@lists.alioth.debian.org>:
Bug#721396; Package silo. (Sat, 31 Aug 2013 03:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ru>:
New Bug report received and forwarded. Copy sent to Debootloaders SILO Maintainers Team <debootloaders-silo@lists.alioth.debian.org>. (Sat, 31 Aug 2013 03:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: silo: enable sparc64 architecture
Date: Sat, 31 Aug 2013 06:59:00 +0400
Package: silo
Version: 1.4.14+git20120819-1
Severity: wishlist

Dear Maintainer,
please enable architecture: sparc64 for silo package
(if it makes any sense).


-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

----
Best wishes, Bob

Changed Bug submitter to 'Bob Bib <bobbibmpn@mail.ua>' from 'Bob Bib <bobbibmpn@mail.ru>' Request was from Bob Bib <bobbibmpn@mail.ua> to control@bugs.debian.org. (Thu, 12 Sep 2013 22:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debootloaders SILO Maintainers Team <debootloaders-silo@lists.alioth.debian.org>:
Bug#721396; Package silo. (Fri, 04 Oct 2013 01:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debootloaders SILO Maintainers Team <debootloaders-silo@lists.alioth.debian.org>. (Fri, 04 Oct 2013 01:33:04 GMT) Full text and rfc822 format available.

Message #12 received at 721396@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: "David S. Miller" <davem@davemloft.net>
Cc: 721396@bugs.debian.org, 721396-submitter@bugs.debian.org
Subject: Trying to build silo in 64 bit userland (aka sparc64)
Date: Fri, 4 Oct 2013 03:31:34 +0200
Hi David,

I took over maintenance of silo in Debian from Jurij, and I'm
currently trying to built silo on the architecture "sparc64", i.e. not
only with 64-bit kernels but also 64-bit userland. See also
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=721396 and
https://wiki.debian.org/Sparc64

But compilation fails at some assembler code:

$ gcc -m64 -Os -Wall -I. -I../include -fomit-frame-pointer -fno-strict-aliasing -DSMALL_RELOC=0x280000 -DLARGE_RELOC=0x380000 -fno-stack-protector -c divdi3.S
divdi3.S: Assembler messages:
divdi3.S:105: Error: detected global register use not covered by .register pseudo-op
divdi3.S:107: Error: detected global register use not covered by .register pseudo-op
divdi3.S:110: Error: detected global register use not covered by .register pseudo-op
divdi3.S:110: Error: detected global register use not covered by .register pseudo-op
divdi3.S:111: Error: detected global register use not covered by .register pseudo-op
divdi3.S:111: Error: detected global register use not covered by .register pseudo-op
divdi3.S:111: Error: detected global register use not covered by .register pseudo-op
divdi3.S:114: Error: detected global register use not covered by .register pseudo-op
divdi3.S:118: Error: detected global register use not covered by .register pseudo-op
divdi3.S:118: Error: detected global register use not covered by .register pseudo-op
divdi3.S:119: Error: detected global register use not covered by .register pseudo-op
divdi3.S:119: Error: detected global register use not covered by .register pseudo-op
divdi3.S:120: Error: detected global register use not covered by .register pseudo-op
divdi3.S:120: Error: detected global register use not covered by .register pseudo-op
divdi3.S:120: Error: detected global register use not covered by .register pseudo-op
divdi3.S:126: Error: detected global register use not covered by .register pseudo-op
divdi3.S:126: Error: detected global register use not covered by .register pseudo-op
divdi3.S:128: Error: detected global register use not covered by .register pseudo-op
divdi3.S:128: Error: detected global register use not covered by .register pseudo-op
divdi3.S:128: Error: detected global register use not covered by .register pseudo-op
divdi3.S:128: Error: detected global register use not covered by .register pseudo-op
divdi3.S:128: Error: detected global register use not covered by .register pseudo-op
divdi3.S:128: Error: detected global register use not covered by .register pseudo-op
divdi3.S:229: Error: detected global register use not covered by .register pseudo-op
divdi3.S:230: Error: detected global register use not covered by .register pseudo-op
divdi3.S:230: Error: detected global register use not covered by .register pseudo-op
divdi3.S:265: Error: detected global register use not covered by .register pseudo-op
make[3]: *** [divdi3.o] Error 1
[...]
$ gcc --version
gcc (Debian 4.8.1-9) 4.8.1

This doesn't happen if I compile it with -m32 instead of -m64 in 32
bit userland.

A little bit of searching the web brought me to this thread from 2003:
http://marc.info/?l=linux-sparc&m=106519022917651&w=2

Same error message, same project, same file name, just 10 years
earlier. That gives some hope that you may have an idea what's going
on there or what may be wrong.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Message sent on to Bob Bib <bobbibmpn@mail.ua>:
Bug#721396. (Fri, 04 Oct 2013 01:33:11 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Fri, 04 Oct 2013 01:39:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to '"David S. Miller" <davem@davemloft.net>'. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Fri, 04 Oct 2013 01:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debootloaders SILO Maintainers Team <debootloaders-silo@lists.alioth.debian.org>:
Bug#721396; Package silo. (Fri, 04 Oct 2013 03:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Miller <davem@davemloft.net>:
Extra info received and forwarded to list. Copy sent to Debootloaders SILO Maintainers Team <debootloaders-silo@lists.alioth.debian.org>. (Fri, 04 Oct 2013 03:33:05 GMT) Full text and rfc822 format available.

Message #24 received at 721396@bugs.debian.org (full text, mbox):

From: David Miller <davem@davemloft.net>
To: abe@debian.org
Cc: 721396@bugs.debian.org, 721396-submitter@bugs.debian.org
Subject: Re: Trying to build silo in 64 bit userland (aka sparc64)
Date: Thu, 03 Oct 2013 23:23:09 -0400 (EDT)
Please bring this up on the appropriate, public, mailing list,
rather than to me privately.

In this case that would be sparclinux@vger.kernel.org

Thank you.



Message sent on to Bob Bib <bobbibmpn@mail.ua>:
Bug#721396. (Fri, 04 Oct 2013 03:33:08 GMT) Full text and rfc822 format available.

Bug 721396 cloned as bug 730478 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 25 Nov 2013 13:36:04 GMT) Full text and rfc822 format available.

Removed tag(s) upstream. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 25 Nov 2013 13:36:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 25 Nov 2013 13:36:07 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 25 Nov 2013 13:36:08 GMT) Full text and rfc822 format available.

Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Fri, 29 Nov 2013 03:24:09 GMT) Full text and rfc822 format available.

Notification sent to Bob Bib <bobbibmpn@mail.ua>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 03:24:09 GMT) Full text and rfc822 format available.

Message #40 received at 721396-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 721396-close@bugs.debian.org
Subject: Bug#721396: fixed in silo 1.4.14+git20120819-2
Date: Fri, 29 Nov 2013 03:20:02 +0000
Source: silo
Source-Version: 1.4.14+git20120819-2

We believe that the bug you reported is fixed in the latest version of
silo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 721396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated silo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 29 Nov 2013 01:50:28 +0100
Source: silo
Binary: silo
Architecture: source sparc
Version: 1.4.14+git20120819-2
Distribution: unstable
Urgency: low
Maintainer: Debootloaders SILO Maintainers Team <debootloaders-silo@lists.alioth.debian.org>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 silo       - Sparc Improved LOader
Closes: 677780 721396 721498 730651
Changes: 
 silo (1.4.14+git20120819-2) unstable; urgency=low
 .
   * New Maintainer (Closes: #721498, #677780)
   * Apply wrap-and-sort and remove obsolete local variables from the
     bottom of debian/changelog.
   * Switch VCS repository to git, update Vcs-* headers acoordingly.
   * Enable sparc64 architecture (Closes: #721396)
   * Make tilo.sh (/usr/bin/tilo) work again
     + Add patch to work with newer "file" versions (Closes: #730651)
     + Add patch to find the root address also in more recent kernels
   * Recommend "file" as tilo needs it to run.
   * Rewrite long description to not suggest it's the only Sparc boot loader
     in Debian.
   * Mention tilo and its requirments in the long description.
   * Bump debhelper compatibility to 9.
     + Update versioned debhelper build-dependency accordingly.
   * Switch to source format "3.0 (quilt)"
     + No more build outside the tree
     + Remove quilt build-dependency and quilt traces from debian/rules.
     + Remove now obsolete debian/README.source
   * Revamp debian/rules:
     + Replace "dh_clean -k" with "dh_prep", fixes lintian warning
       dh-clean-k-is-deprecated
     + Use dh_auto_{build,install,clean}
     + No more clean up stamp files manually, dh_clean does that now.
     + Use debian/{docs,manpages} instead of parameters to
       dh_install{docs,man}. Rename directory debian/{manpages → man}
     + Use debian/install + dh_install instead of manually calling install.
     + Finally switch to a minimal dh7 style debian/rules file.
   * Add upstream git repository webpage as Homepage header. Fixes lintian
     warning no-homepage-field.
   * Bump Standards-Version to 3.9.5
     + Introduce a Built-Using field
   * Add patch to fix the following lintian warnings in upstream man pages:
     + hyphen-used-as-minus-sign
     + spelling-error-in-manpage
   * Additionally this upload fixes the following lintian warnings:
     + dm-upload-allowed-is-obsolete
     + hyphen-used-as-minus-sign (in debian/man/silocheck.8)
     + maintainer-script-without-set-e
     + copyright-refers-to-symlink-license
Checksums-Sha1: 
 1f3e76bc99715c168baf7efad48764a4c75a6b07 1456 silo_1.4.14+git20120819-2.dsc
 e4747f997a78fdabe0f2aaac3afc66bb3023bf48 16999 silo_1.4.14+git20120819-2.debian.tar.gz
 875af1b247a5668524bf00614660d1df37a10f74 129818 silo_1.4.14+git20120819-2_sparc.deb
Checksums-Sha256: 
 fd5d2d657ba36501dc4d04a572baf284e71baee5b8faceb312c0a6c88359607d 1456 silo_1.4.14+git20120819-2.dsc
 dfe810069ece9744c85b2b6dedcbfcd2977c3956d8264015ce4c5c77d1216e07 16999 silo_1.4.14+git20120819-2.debian.tar.gz
 4764c7d3ee9def0ee215aee10e54f41f6c15f02e89481c07c2951217e4163f3b 129818 silo_1.4.14+git20120819-2_sparc.deb
Files: 
 0d379aecd263a41627445ee9ada85b7c 1456 admin important silo_1.4.14+git20120819-2.dsc
 ac1a51a18cfad599e23406aa82d92760 16999 admin important silo_1.4.14+git20120819-2.debian.tar.gz
 78e6a6300e3ca8cc3b4e62d0b3d4bd2d 129818 admin important silo_1.4.14+git20120819-2_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEUEARECAAYFAlKX8ngACgkQwJ4diZWTDt5XgwCbBPfon1RJj4wstl+vG/zosJbN
we0Aljct7e3hQx9F7e9tzMTeVDXYnhU=
=j2gA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Jan 2014 07:31:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:58:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.